Skip to content

Search Open Collaboration Products

POST
/affiliate_creator/202405/open_collaborations/products/search

This API is used to search the information of products with open collaboration by category, commission rate, and keywords. It will return all products on the TikTok Shop Affiliate Product Marketplace that are in an open collaboration. Creators can only search for open collaboration within the regions they are registered in the affiliate.

page_token
string

Pagination token. Leave this parameter empty in the first request. To retrieve the next page, pass the next_page_token returned by the previous response and reuse the same category, commission_rate_range, sales_price_range, title_keywords, sort_field, sort_order, and page_size values. An empty next_page_token means there are no more pages.

page_size
required
integer format: int64
>= 1 <= 20

The value of “page_size” must be greater than 0 and less than or equal to 20.

sort_field
string
Allowed values: commission_rate product_sales_price commission units_sold

The returned results are sorted by the specified field.

Possible values:

  • commission_rate
  • product_sales_price
  • commission
  • units_sold

Specify the sort order using the sort_order parameter.

sort_order
string
Allowed values: ASC DESC

The sort order for the objects in the response. Default: ASC Possible values:

  • ASC: Ascending order
  • DESC: Descending order
Media typeapplication/json
object
title_keywords

A list of product keywords for searching. Product titles, or names, are loosely matched. Keywords in the list form a query and the resulting set of matching product names is based on the conjunctive operator AND between each keyword. For example, the keyword list ["Men", "Fashion"] creates a query "Men" AND "Fashion" and the resulting set of matching product names contains the loosely matched conjuction of “Men” and “Fashion” such as “Male Fashionable”. Maximum length of the list is 20 keywords. Maximum keyword string length is 255 characters.

Array<string>
sales_price_range

Restricts the products in the search results to those with prices greater than or equal to the expressed minimum price and less than the expressed maximum price.

object
amount_ge

The product price must be greater than this value in order to be included in the search results. The value must be greater than 0.

string
amount_lt

The product price must be greater than this value in order to be included in the search results. The value must be greater than 0. No upper bound is set if this property is not included.

string
category

Restricts the products in the search results to those that are associated with the expressed product category.

object
id

The category ID.

string
commission_rate_range

The commission rate of the searched product needs to be limited within this range.

object
rate_ge

The minimum commission rate. Products with a commission rate greater than or equal to this value are included in the results. Express the rate in hundredths of a percent; for example, 3587 means 35.87%. The value must be from 100 to 8000, inclusive.

integer format: int64
rate_lt

The commission rate must be less than this value in order to be included in the search results. The commission rate is expressed in hundredths of a percent. For example, 3587 is a commission rate of 35.87%. This value must a minimum of 1000.

integer format: int64
Example
{
"title_keywords": [
"Men",
"Fashion",
" Sports Short"
],
"sales_price_range": {
"amount_ge": "12.44",
"amount_lt": "100"
},
"category": {
"id": "341234"
},
"commission_rate_range": {
"rate_ge": 100,
"rate_lt": 8000
}
}

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
products

A list of products.

Array<object>
object
shop

Data and metadata associated with the Seller’s TikTok Shop.

object
name

The name of the shop to which the product belongs.

string
id

The product identifier.

string
has_inventory

Set to true if there are more than zero units of the product in inventory. Set to false if there are zero units in inventory.

boolean
units_sold

Total number of units sold. Units are indexed to SKU. Note that if the creator has not given permission for precise data sharing, this property will not be present.

integer format: int64
title

The product name.

string
sale_region

The region where the product is offered for sale.

string
main_image_url

The product image URL.

string
detail_link

The URL for the product’s detail page.

string
original_price

The original price of the product.

object
currency

The currency in the sale region.

string
minimum_amount

The minimum original price of all skus of this product.

string
maximum_amount

The maximum original price of all skus of this product.

string
category_chains

A list of categories associated with the product. Maximum length of the list is 3 categories.

Array<object>
object
id

The current category id of this product.

string
local_name

The current level category name of this product.

string
is_leaf

Indicate whether current node is leaf node

boolean
parent_id

The category id of its parent category

string
commission

Metadata and data associated with the commission rates for the product.

object
rate
  • The commission rate for this product is set by merchants for creators public promotion.
  • The range of this value is [100, 8000].
  • This value equals actual commission rate multi 10000. For example: 3000 means the actual commission rate is 30.00%, and 3555 means 35.55%
integer format: int64
currency

Currency code for the commission amount.

string
amount

The commission amount calculated from the product’s promotional price and commission rate. When both minimum and maximum promotional prices are available, the value is formatted as <minimum commission> - <maximum commission>; otherwise, it contains the available commission amount. If neither price is available, the value is 0. The currency is specified by commission.currency.

string
sales_price

Metadata and data associated with the sale price of the product

object
currency

Currency code for the promotional price.

string
minimum_amount

The minimum promotion price of all skus of this product.

string
maximum_amount

The maximum promotion price of all skus of this product.

string
next_page_token

An opaque token used to retrieve the next page of a paginated result set.

string
total_count

Total count of products meeting the search criteria expressed in the request body.

integer format: int64
Example
{
"code": 0,
"data": {
"products": [
{
"shop": {
"name": "Test shop"
},
"id": "1729432087292775344",
"has_inventory": false,
"units_sold": 12123,
"title": "Blue t-shirt",
"sale_region": "ID",
"main_image_url": "https://p16-oec-va.ibyteimg.com/tos-maliva-i-o3syd03w52-us/fa0387fa5a204dcfa44d5be75877a163~tplv-o3syd03w52-origin-webp.webp?from=3478900499",
"detail_link": "https://shop.tiktok.com/view/product/1729624807198591373?region=ID&local=en",
"original_price": {
"currency": "USD",
"minimum_amount": "12.21",
"maximum_amount": "100.00"
},
"category_chains": [
{
"id": "343554",
"local_name": "COMPUTER",
"is_leaf": false,
"parent_id": "341182"
}
],
"commission": {
"rate": 3000,
"currency": "USD",
"amount": "121.32"
},
"sales_price": {
"currency": "USD",
"minimum_amount": "34.3",
"maximum_amount": "55.7"
}
}
],
"next_page_token": "b2Zmc2V0PTEw",
"total_count": 10000
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}